Summary:	Visual diff and merge tool
Summary(pl.UTF-8):	Wizualne narzędzie do oglądania i włączania zmian (diff)
Name:		meld
Version:	3.20.1
Release:	3
License:	GPL
Group:		Applications/Text
Source0:	http://ftp.gnome.org/pub/GNOME/sources/meld/3.20/%{name}-%{version}.tar.xz
# Source0-md5:	0a2419d75fc8f8677fa6b4ce31ca8adc
Patch0:		%{name}-desktop.patch
Patch1:		python3.8.patch
URL:		http://meld.sourceforge.net/
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	python3-modules >= 1:3.3
BuildRequires:	python3-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.710
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	glib2 >= 1:2.26.0
Requires(post,postun):	gtk-update-icon-cache
Requires:	glib2 >= 1:2.36
Requires:	gtk+3 >= 3.14
Requires:	gtksourceview3 >= 3.14
Requires:	hicolor-icon-theme
Requires:	pango >= 1:1.26
Requires:	python3-modules >= 1:3.3
Requires:	python3-pycairo
Requires:	python3-pygobject3 >= 3.14
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Meld is a GNOME visual diff and merge tool. It integrates especially
well with CVS. The diff viewer lets you edit files in place (diffs
update dynamically), and a middle column shows detailed changes and
allows merges. The margins show location of changes for easy
navigation, and it also features a tabbed interface that allows you to
open many diffs at once.

%description -l pl.UTF-8
Meld to przeznaczone dla GNOME wizualne narzędzie do oglądania i
włączania zmian (w formacie diff). Integruje się szczególnie dobrze z
CVS. Przeglądarka różnic pozwala modyfikować pliki w miejscu
(dynamicznie uaktualniać), a środkowa kolumna pokazuje szczegółowe
zmiany i pozwala na włączanie. Na marginesach jest pokazane położenie
zmian w celu łatwej nawigacji. Jest dostępny także interfejs z
zakładkami, pozwalający na otwieranie wielu plików diff naraz.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build

%install
rm -rf $RPM_BUILD_ROOT

%{__python3} setup.py \
	--no-compile-schemas \
	--no-update-icon-cache \
	build --build-base=build-3 \
	install --skip-build \
	--prefix=%{_prefix} \
	--install-purelib=%{py3_sitescriptdir} \
	--install-platlib=%{py3_sitedir} \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT/usr/share/doc/%{name}-%{version}

%find_lang %{name} --with-gnome --with-omf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
%update_desktop_database_post
%update_icon_cache hicolor

%postun
%update_desktop_database_postun
%update_icon_cache hicolor
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS
%attr(755,root,root) %{_bindir}/%{name}
%dir %{py3_sitescriptdir}/meld-*.egg-info
%dir %{py3_sitescriptdir}/%{name}
%{py3_sitescriptdir}/%{name}/*.py
%{py3_sitescriptdir}/%{name}/__pycache__
%dir %{py3_sitescriptdir}/%{name}/matchers
%{py3_sitescriptdir}/%{name}/matchers/*.py
%{py3_sitescriptdir}/%{name}/matchers/__pycache__
%dir %{py3_sitescriptdir}/%{name}/ui
%{py3_sitescriptdir}/%{name}/ui/*.py
%{py3_sitescriptdir}/%{name}/ui/__pycache__
%dir %{py3_sitescriptdir}/%{name}/vc
%{py3_sitescriptdir}/%{name}/vc/*.py
%{py3_sitescriptdir}/%{name}/vc/__pycache__
%{_iconsdir}/hicolor/*/actions/*.png
%{_iconsdir}/hicolor/*/apps/org.gnome.meld.png
%{_iconsdir}/hicolor/*/apps/*.svg
%{_iconsdir}/hicolor/*/apps/meld-version-control.png
%{_iconsdir}/HighContrast/scalable/apps/org.gnome.meld.svg
%{_datadir}/%{name}
%{_datadir}/metainfo/org.gnome.meld.appdata.xml
%{_datadir}/glib-2.0/schemas/org.gnome.meld.gschema.xml
%{_datadir}/mime/packages/org.gnome.meld.xml
%{_desktopdir}/org.gnome.meld.desktop
%{_mandir}/man1/%{name}.1*
%changelog
* Wed Oct 30 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/meld.git;a=log;h=master

* Wed Oct 30 2019 Jan Palus <atler@pld-linux.org> 36a7b1f
- upstream patch to fix build with python 3.8; rel 3

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 2453e7a
- rebuild with python 3.8
- release 2 (by relup.sh)

* Fri May 24 2019 Elan Ruusamäe <glen@pld-linux.org> 827d3cb
- use epoch 1 for python3 package

* Sun Mar 31 2019 Jan Palus <atler@pld-linux.org> d6c4912
- up to 3.20.1

* Sun Jan 20 2019 Jan Palus <atler@pld-linux.org> b8e2a79
- up to 3.20.0

* Fri Nov 16 2018 Jan Palus <atler@pld-linux.org> 20d4c1b
- up to 3.18.3

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> f8953ef
- release 2 (by relup.sh)

* Tue Jun 19 2018 Jan Palus <atler@pld-linux.org> 5025913
- up to 3.18.2

* Sun Apr 29 2018 Jan Palus <atler@pld-linux.org> a286199
- up to 3.18.1

* Mon Feb 12 2018 Jan Palus <atler@pld-linux.org> 58eb858
- up to 3.18.0

* Fri Dec 30 2016 Marcin Banasiak <marcin.banasiak@gmail.com> ad8517f
- Update to 3.16.4

* Sat Oct 01 2016 Jan Palus <atler@pld-linux.org> 4795239
- up to 3.16.3

* Sun Jul 31 2016 Jan Palus <atler@pld-linux.org> 118c8d3
- up to 3.16.2

* Sun Jun 19 2016 Jan Palus <atler@pld-linux.org> 25711f3
- up to 3.16.1

* Sun May 01 2016 Jan Palus <atler@pld-linux.org> c9e07c5
- up to 3.16.0

* Sat Dec 19 2015 Jan Palus <atler@pld-linux.org> 7f499af
- expand %py_install macro to pass additional options to setup.py

* Thu Dec 17 2015 Jan Palus <atler@pld-linux.org> 6b36fe2
- use new %py_* macros

* Thu Dec 17 2015 Jan Palus <atler@pld-linux.org> 1308d72
- up to 3.15.1

* Mon Oct 19 2015 Jan Palus <atler@pld-linux.org> 73deda1
- up to 3.15.0

* Sun Aug 16 2015 Jan Palus <atler@pld-linux.org> 3137998
- up to 3.14.0

